import request from '@/utils/request'

// 查询提成配置列表
export function listDeduct(query) {
  return request({
    url: '/drivingSchool/system/deduct/list',
    method: 'get',
    params: query
  })
}

// 查询提成配置详细
export function getDeduct(id) {
  return request({
    url: '/drivingSchool/system/deduct/' + id,
    method: 'get'
  })
}

// 新增提成配置
export function addDeduct(data) {
  return request({
    url: '/drivingSchool/system/deduct',
    method: 'post',
    data: data
  })
}

// 修改提成配置
export function updateDeduct(data) {
  return request({
    url: '/drivingSchool/system/deduct',
    method: 'put',
    data: data
  })
}

// 删除提成配置
export function delDeduct(id) {
  return request({
    url: '/drivingSchool/system/deduct/' + id,
    method: 'delete'
  })
}
